* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    margin: auto;
    align-items: center;
    background: linear-gradient(to left, rgb(7, 196, 243), white, rgb(7, 196, 243))
}

.box {
    position: absolute;
    flex-wrap: wrap;
    height: max-content;
    width: 400px;
    background-color: rgba(0, 0, 139, 0.256);
    padding: 15px;
}

#step-1 h1, #step-2 h1, #step-3 h1 {
    color: aliceblue;
    margin-bottom: 20px;
}

#step-1 input, #step-3 input {
    margin-bottom: 10px;
    font-size: 18px;
    height: 34px;
    width: 100%;
    outline: none;
    border: 0;
    padding: 4px 8px;
}

#step-1 button, #step-2 button, #step-3 button, #step-4 button {
    margin-top: 20px;
    background-color: darkblue;
    color: aliceblue;
    width: 100%;
    height: 34px;
    border: 0;
    cursor: pointer;
}

#step-2 input {
    font-size: 18px;
    font-weight: bolder;
    height: 40px;
    width: 15%;
    outline: none;
    border: 0;
    padding: 4px 4px;
    text-align: center;
}

#step-2 input:focus {
    border: 1px solid darkblue;
}

.box #error {
    display: none;
    margin-top: 20px;
    text-align: center;
    background-color: rgba(249, 6, 6, 0.744);
    color: aliceblue;
    padding: 10px;
    width: 100%;
    height: fit-content;
    cursor: pointer;
    transform: 0.5s;
    animation: errorsuccess 1s forwards;
}

.box #error::after {
    content: 'X';
    position: absolute;
    right: 30px;
}

.box #success::after {
    content: 'X';
    position: absolute;
    right: 30px;
}

.box #success {
    display: none;
    margin-top: 20px;
    text-align: center;
    background-color: rgba(6, 249, 22, 0.744);
    color: aliceblue;
    padding: 10px;
    width: 100%;
    height: fit-content;
    cursor: pointer;
    transform: 1s;
    animation: errorsuccess 1s forwards;
}

@keyframes errorsuccess {
    from {
        opacity: 0%;
    }

    to {
        opacity: 100%;
    }
}

#step-4 {
    color: green;
    text-transform: capitalize;
}

input:user-valid {
    border: 2px solid green;
}

input:user-invalid {
    border: 2px solid red;
}

#step-1, #step-2, #step-3, #step-4 {
    transform: 1s;
    animation: ami 1s forwards;
}

@keyframes ami {
    from {
        opacity: 0%;
    }

    to {
        opacity: 100%;
    }
}

.load {
    content: '';
    z-index: 500;
    background-color: #43434357;
    width: 100%;
    height: 100%;
    display: none;
}

.load>.loader {
    top: 40%;
    left: 48%;
    position: fixed;
    border: 6px solid #f3f3f3;
    /* Light grey */
    border-top: 6px solid #434343;
    /* Blue */
    border-radius: 50%;
    width: 70px;
    height: 70px;
    animation: spin 0.5s forwards infinite;
    transform: 0.5s;

}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    /* 80% {transform: rotate(360deg);  } */
    100% {
        transform: rotate(360deg);
    }
}